import type { DefineComponent } from 'vue'


declare global {
  type ExtraObj = {
    [key?: string]: any
  }
  type Recordable<T = any> = Record<string, T>

  declare module '*.csv' {
    const value: any;
    export default value;
  }
}


declare module '*.jpg' {
  const value: any;
  export default value;
}

declare module '*.png' {
  const value: any;
  export default value;
}



declare module '*.vue' {
  const component: DefineComponent<{}, {}, any>
  export default component
}

declare module '@components/*';



